Subject: [PATCH v2 6/6] PCI: designware: use new OF interrupt mapping when possible

From: [email-masked] (Bjorn Helgaas)
Date: Fri, 4 Apr 2014 11:05:17 -0600

On Fri, Apr 04, 2014 at 11:03:41AM -0600, Bjorn Helgaas wrote:
> On Wed, Mar 05, 2014 at 11:42:19AM -0700, Jason Gunthorpe wrote:
> > On Wed, Mar 05, 2014 at 02:25:51PM +0100, Lucas Stach wrote:
> > > -	return pp->irq;
> > > +	irq = of_irq_parse_and_map_pci(dev, slot, pin);
> > > +	if (!irq)
> > > +		irq = pp->irq;
> > 
> > In light of the two bugs that Tim found, it might be wise to throw a
> > 'dev_warn(FW_BUG "Missing DT interrupt mapping")' in the fall back
> > path, so it doesn't continue to silently cover up errors on the OF/DT
> > side..
> 
> This sounds like a reasonable thing to do, but I didn't see a response to
> this comment.  Should I merge it as-is, or do you want to add the message?

Oh, and I suppose the same question applies to the other host drivers in
this series (tegra, rcar)?